Approve an exact Agent action
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/actions/{agentActionId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"confirm": "<string>",
"digest": "<string>",
"expectedVersion": 0
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/actions/{agentActionId}/approve"
payload = {
"confirm": "<string>",
"digest": "<string>",
"expectedVersion": 0
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: '<string>', digest: '<string>', expectedVersion: 0})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/actions/{agentActionId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": {
"schemaVersion": 1,
"agentActionId": "<string>",
"authoringSessionId": "<string>",
"authoringTurnId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"summary": "<string>",
"consequences": [
"<string>"
],
"digest": "<string>",
"state": "proposed",
"version": 0,
"expiresAtMs": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"kind": "tool_setup.create",
"inputs": {
"tools": [
{
"libraryEntryId": "<string>",
"expectedPackageArchiveDigest": "<string>",
"initialState": "starter",
"instanceId": "<string>"
}
],
"name": "<string>"
},
"approvedBy": "<string>",
"approvedAtMs": 0,
"rejectedBy": "<string>",
"finishedAtMs": 0,
"outcome": {
"toolSetupId": "<string>",
"sourceDraftId": "<string>",
"sourceDigest": "<string>",
"sourceDraftRevision": 1073741824,
"buildAttemptId": "<string>",
"operationId": "<string>",
"environmentId": "<string>",
"environmentVersion": 0,
"buildHash": "<string>",
"hostedRunId": "<string>",
"sessionId": "<string>",
"runState": "created",
"simulationPlanId": "<string>",
"simulationPlanDigest": "<string>",
"simulationBatchId": "<string>",
"simulationBatchState": "preparing"
},
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
}
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Approve an exact Agent action
Approve an exact Agent action
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^authsess_[0-9a-z]{12,32}$Pattern:
^aact_[0-9a-z]{12,32}$Body
application/json
Response
Approve an exact Agent action
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes